Kerbal Space Program - Bug #15417

Partools broken by an empty .cfg file
06/05/2017 07:52 PM - Skalou

Status: Confirmed Start date: 06/05/2017
Severity: Normal % Done: 10%
Assignee:

Category: Application

Target version:

Version: 1.3.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

if any empty .cfg file is in the GameData folder, partools break.
and the help in the console isn't really intuitive, maybe add a safety check to avoid it? (i don't code, so i can't help you more)

to reproduce it:
create an empty.cfg file anywhere inside the GameData,
run unity and the partools, after adding it to a part,and selcted the GameData folder it breaks.

History

#1 - 06/08/2017 01:02 PM - Skalou
if any empty .cfg file is in the GameData folder, PartTools breaks.
and the help in the console isn't really intuitive, maybe add a safety check to avoid it? (i don't code, so i can't help you more)

to reproduce it:
create an empty.cfg file anywhere inside the GameData,
run unity and the PartTools, after adding it to a part,and selected the GameData folder it breaks.

#2 - 09/15/2017 06:47 PM - Fengist

- Status changed from New to Confirmed

- % Done changed from 0 to 10

- Version changed from Not Applicable to 1.3.0

It does't have to be an empty file. | have a .cfg file that contains csv data and that completely broke the part tools install into an empty project.
Changing the name of the file to .dat and reimporting part tools resulted in a proper part tools install.
